> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-fairbid/advanced-configurations/dt-fairbid-management-api/placement-level.md).

# Placement Level

Here you can find the endpoints and parameters for Placements, using the DT Management API.

## Get Placement/Placements <a href="#id-01fnx85y7321ncbyspvrnjjk2z" id="id-01fnx85y7321ncbyspvrnjjk2z"></a>

**Description**

Return the placement’s configuration by placement ID.

Return all placements of a single app.

**Method**

`GET https://console.fyber.com/api/management/v1/placement?placementId=`

`GET https://console.fyber.com/api/management/v1/placement?appId=`

### Request Parameters

| Key         | Description             | Type   | Required | Example |
| ----------- | ----------------------- | ------ | -------- | ------- |
| placementId | The ID of the Placement | Number | Required | 10804   |
| appId       | The ID of the app       | Number | Required | 170709  |

### Example Request <a href="#id-01fnx85y73ebksn0gvk1fcj7w8" id="id-01fnx85y73ebksn0gvk1fcj7w8"></a>

```
https://console.fyber.com/api/management/v1/
placement?placementId=10804
```

### Response Parameters <a href="#id-01fnx85y73ceq8tkwca8xexaph" id="id-01fnx85y73ceq8tkwca8xexaph"></a>

| Key                                                                                            | Description                                                                                                                    | Type                                                        | Example                                                                               |
| ---------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------- | ------------------------------------------------------------------------------------- |
| placementId                                                                                    | The ID of the Placement                                                                                                        | Number                                                      | “24542”                                                                               |
| status                                                                                         | <p>The status of the placement.<br>Can be either "active" or "inactive"</p>                                                    | String                                                      | "active"                                                                              |
| name                                                                                           | The name of the Placement                                                                                                      | String                                                      | "int\_13"                                                                             |
| appId                                                                                          | The ID of the Placement's app                                                                                                  | String                                                      | "12345"                                                                               |
| placementType                                                                                  | The Placement type ("Banner", "Rewarded", "Interstitial", "MREC")                                                              | String                                                      | "Banner"                                                                              |
| coppa                                                                                          | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age?                               | Boolean                                                     | false                                                                                 |
| <p>createTypes<br>(<strong>Interstitial only</strong>)</p><p>\*Affects DT Exchange only</p>    | Allowed creative types for interstitial Placement                                                                              | String array                                                | \["video", "display"]                                                                 |
| <p>bannerRefresh<br>(<strong>Banner only</strong>)</p>                                         | Set the Refresh Interval for the app banner placement. This determines the frequency in which a banner placement is refreshed. | Number                                                      | 45                                                                                    |
| floorPrices                                                                                    | The minimal price at which you are willing to sell your inventory. By default, it is set to $0.01 for all countries.           | Object array (country: string, price: number)               | <p>\[{<br>“country”: “WW”, “price”: 0.01 },{ “country”: “IL”, “price”: 0.05<br>}]</p> |
| targetingEnabled                                                                               | Enable audience targeting by countries or connection type                                                                      | Boolean                                                     | true                                                                                  |
| geo                                                                                            | Geo target countries                                                                                                           | Object (include: boolean, countries: string array)          | <p>{<br>"countries": \[<br>"BT",<br>"SG" ],<br>"include": true<br>}</p>               |
| connectivity                                                                                   | Targeted connection type (“Cellular”, “WIFI”)                                                                                  | String array                                                | \[“WIFI”]                                                                             |
| capping                                                                                        | <p>\*only if enabled=true<br><br>Limit the number of impressions per second / minute / day</p>                                 | Object (value: number, unit: string, enabled: boolean)      | { "value": 12, "unit": "minute", "enabled": true }                                    |
| pacing                                                                                         | <p>\*only if enabled=true<br><br>Set the pace for the maximum number of ad impressions per second / minute / day / hour</p>    | Object (value: number, unit: string, enabled: boolean)      | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>                    |
| <p>ssrConfig<br>(<strong>Rewarded only</strong>)</p>                                           | \*only if enabled=true                                                                                                         | Object (currency: string, amount: number, enabled: boolean) | <p>{"currency": "dollars",<br>"amount": 3456, "enabled": true<br>}</p>                |
| <p>skipability</p><p>(<strong>Interstitial only</strong>)</p><p>\*Affects DT Exchange only</p> | Ads can be skippable or non-skippable                                                                                          | String                                                      | "NonSkippable"                                                                        |

### Response Example <a href="#id-01fnx85y74brf8h9cp9k901e50" id="id-01fnx85y74brf8h9cp9k901e50"></a>

{% code title="JSON" %}

```json
{
        "placementId": "10804",
        "name": "Rewarded Placement",
        "appId": "170709",
        "placementType": "Rewarded",
        "status": "active",
        "coppa": true,
        "rewardedConfig": {
            "id": "",
            "currency": {
                "id": "dollars",
                "appId": "",
                "currency": "dollars"
            },
            "amount": 3456,
            "rewardingType": "server",
            "placementId": ""
        },
        "floorPrices": [
            {
                "country": "AF",
                "price": 0.05
            },
            {
                "country": "SG",
                "price": 0.03
            },
            {
                "country": "WW",
                "price": 0.01
            }
        ],
        "targetingEnabled": true,
        "geo": {
            "include": true,
            "countries": [
                "BT"
            ]
        },
        "capping": {
            "value": 12,
            "unit": "minute",
            "enabled": true
        },
        "pacing": {
            "value": 13,
            "unit": "second",
            "enabled": true
        }
    }
```

{% endcode %}

## Create a Placement <a href="#id-01fnx85y74kp56wyjh24zdghbj" id="id-01fnx85y74kp56wyjh24zdghbj"></a>

**Description**

Create a new placement

**Method**

`POST https://console.fyber.com/api/management/v1/placement`

### Request Parameters <a href="#id-01fnx85y74wbbmrdw3njsmnaqj" id="id-01fnx85y74wbbmrdw3njsmnaqj"></a>

| Key                                                                                            | Description                                                                                                                    | Type                                                        | Required | Example                                                                                     |
| ---------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------- |
| name                                                                                           | The name of the placement                                                                                                      | String                                                      | Required | "int\_13"                                                                                   |
| appId                                                                                          | The ID of the placement's app                                                                                                  | Number                                                      | Required | "12345"                                                                                     |
| placementType                                                                                  | The placement type ("Banner", "Rewarded", "Interstitial", "MREC")                                                              | String                                                      | Required | "Rewarded"                                                                                  |
| coppa                                                                                          | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age?                               | Boolean                                                     | Required | false                                                                                       |
| <p>creativeTypes<br>(<strong>Interstitial only</strong>)</p>                                   | Allowed creative types for interstitial placement                                                                              | String array                                                | Optional | \[“video”, “display״]                                                                       |
| <p>bannerRefresh<br>(<strong>Banner only</strong>)</p>                                         | Set the Refresh Interval for the app banner placement. This determines the frequency in which a banner placement is refreshed. | Number                                                      | Optional | 45                                                                                          |
| floorPrices                                                                                    | The minimal price at which you are willing to sell your inventory. By default, it is set to $0.01 for all countries.           | Object Array (country: string, price: number)               | Optional | <p>\[{</p><p>“country”: “WW”, “price”: 0.01 },{ “country”: “IL”, “price”: 0.05</p><p>}]</p> |
| targetingEnabled                                                                               | Enable audience targeting by countries or connection type                                                                      | Boolean                                                     | Optional | true                                                                                        |
| geo                                                                                            | Geo target countries \*only if targetingEnabled=true                                                                           | Object (include: boolean, countries: string array)          | Optional | <p>{</p><p>"countries": \[</p><p>"BT",</p><p>"SG" ],</p><p>"include": true</p><p>}</p>      |
| connectivity                                                                                   | Targeted connection type (“Cellular”, “WIFI”) \*\*only if targetingEnabled=true                                                | String array                                                | Optional | \[“WIFI”]                                                                                   |
| capping                                                                                        | <p>\*only if enabled=true<br><br>Limit the number of impressions per second / minute / day</p>                                 | Object (value: number, unit: string, enabled: boolean)      | Optional | <p>{</p><p>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>                       |
| pacing                                                                                         | <p>\*only if enabled=true<br><br>Set the pace for the maximum number of ad impressions per second / minute / day / hour</p>    | Object (value: number, unit: string, enabled: boolean)      | Optional | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>                          |
| <p>ssrConfig<br>(<strong>Rewarded only</strong>)</p>                                           | \*only if enabled=true                                                                                                         | Object (currency: string, amount: number, enabled: boolean) | Optional | <p>{"currency": "dollars",<br>"amount": 3456, "enabled": true<br>}</p>                      |
| <p>skipability</p><p>(<strong>Interstitial only</strong>)</p><p>\*Affects DT Exchange only</p> | Ads can be skippable or non-skippable                                                                                          | String                                                      | Optional | "NonSkippable"                                                                              |

### Example Request

{% code title="JSON" %}

```json
{
    "name": "int_13",
    "appId": "12345",
    "placementType": "Rewarded",
    "coppa": true,
    "ssrConfig": {
    "currency": "dollars",
    "amount": 3456,
    "enabled": true
    },
    "targetingEnabled": true,
    "geo": {
    "countries": [
    "BT",
    "SG"
    ],
    "include": true
    },
    "connectivity": ["WIFI"],
    "floorPrices": [
    {
    "price": 0.05,
    "country": "AF"
    },
    {
    "price": 0.03,
    "country": "SG"
    }
    ],
    "capping": {
    "value": 12,
    "unit": "minute",
    "enabled": true
    },
    "pacing": {
    "value": 13,
    "unit": "second",
    "enabled": true
    }
    }
    
```

{% endcode %}

### Response Parameters <a href="#id-01fnx85y74kpezjrkaar9tr9b3" id="id-01fnx85y74kpezjrkaar9tr9b3"></a>

| Key                                                                                            | Description                                                                                                                    | Type                                                             | Example                                                                               |
| ---------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------- | ------------------------------------------------------------------------------------- |
| placementId                                                                                    | The ID of the newly created placement                                                                                          | String                                                           | “24542”                                                                               |
| status                                                                                         | <p>The status of the placement.<br>Can be either "active" or "inactive"</p>                                                    | String                                                           | “active”                                                                              |
| name                                                                                           | The name of the placement                                                                                                      | String                                                           | “int\_13”                                                                             |
| appId                                                                                          | The ID of the placement's app                                                                                                  | String                                                           | “12354”                                                                               |
| placementType                                                                                  | The placement type ("Banner", "Rewarded" or "Interstitial", "MREC")                                                            | String                                                           | “Banner”                                                                              |
| coppa                                                                                          | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age?                               | Boolean                                                          | false                                                                                 |
| <p>creativeTypes<br>(<strong>Interstitial only</strong>)</p>                                   | Allowed creative types for interstitial placement                                                                              | String Array                                                     | \[“video”, “display״]                                                                 |
| <p>bannerRefresh<br>(<strong>Banner only</strong>)</p>                                         | Set the Refresh Interval for the app banner placement. This determines the frequency in which a banner placement is refreshed. | Number                                                           | 45                                                                                    |
| floorPrices                                                                                    | The minimal price at which you are willing to sell your inventory. By default, it is set to $0.01 for all countries.           | Object array (country: string, price: number)                    | <p>\[{<br>“country”: “WW”, “price”: 0.01 },{ “country”: “IL”, “price”: 0.05<br>}]</p> |
| targetingEnabled                                                                               | Enable audience targeting by countries or connection type                                                                      | Boolean                                                          | true                                                                                  |
| geo                                                                                            | Geo target countries                                                                                                           | Object (include: boolean, countries: string array)               | <p>{<br>"countries": \[<br>"BT",<br>"SG" ],<br>"include": true<br>}</p>               |
| connectivity                                                                                   | Targeted connection type ("Cellular" or "WIFI")                                                                                | String array                                                     | \[“WIFI”]                                                                             |
| capping                                                                                        | <p>\*only if enabled=true<br><br>Limit the number of impressions per second / minute / day</p>                                 | Object (value: number, unit: string, enabled" boolean)           | <p>{ "value": 12,<br>"unit": "minute", "enabled": true<br>}</p>                       |
| pacing                                                                                         | <p>\*only if enabled=true<br><br>Set the pace for the maximum number of ad impressions per second / minute / day / hour</p>    | Object (value: number, unit: string, enabled" boolean)           | <p>{ "value": 12,<br>"unit": "minute",<br>"enabled": true<br>}</p>                    |
| <p>ssrConfig<br>(<strong>Rewarded only</strong>)</p>                                           | \*only if enabled=true                                                                                                         | Object (currency: unit: string, amount, number enabled" boolean) | <p>{"currency": "dollars",<br>"amount": 3456, "enabled": true<br>}</p>                |
| <p>skipability</p><p>(<strong>Interstitial only</strong>)</p><p>\*Affects DT Exchange only</p> | Ads can be skippable or non-skippable                                                                                          | String                                                           | "NonSkippable"                                                                        |

### Example Response <a href="#id-01fnx85y745ghcyfv2bfgfg53t" id="id-01fnx85y745ghcyfv2bfgfg53t"></a>

{% code title="JSON" %}

```json
{
        "PlacementId": "245254",
        "name": "Rewarded Placement",
        "appId": "170709",
        "placementType": "Rewarded",
        "status": "active",
        "coppa": true,
        "rewardedConfig": {
            "id": "",
            "currency": {
                "id": "dollars",
                "appId": "",
                "currency": "dollars"
            },
            "amount": 3456,
            "rewardingType": "server",
            "placementId": ""
        },
        "floorPrices": [
            {
                "country": "AF",
                "price": 0.05
            },
            {
                "country": "SG",
                "price": 0.03
            },
            {
                "country": "WW",
                "price": 0.01
            }
        ],
        "targetingEnabled": true,
        "geo": {
            "include": true,
            "countries": [
                "BT"
            ]
        },
        "capping": {
            "value": 12,
            "unit": "minute",
            "enabled": true
        },
        "pacing": {
            "value": 13,
            "unit": "second",
            "enabled": true
        }
    }
    
```

{% endcode %}

## Update a Placement <a href="#id-01fnx85y74dtpkt6mc5skwa12r" id="id-01fnx85y74dtpkt6mc5skwa12r"></a>

**Description**

Update an existing placement by Placement ID.

**Method**

`PUT https://console.fyber.com/api/management/v1/placement`

### Request Parameters <a href="#id-01fnx85y74vr0w40hbv3722x56" id="id-01fnx85y74vr0w40hbv3722x56"></a>

| Key                                                                                            | Description                                                                                                                    | Type                                                             | Required | Example                                                                  |
| ---------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------- | -------- | ------------------------------------------------------------------------ |
| placementId                                                                                    | The ID of the placement                                                                                                        | String                                                           | Required | "123123"                                                                 |
| status                                                                                         | <p>The status of the placement.<br>Can be either "active" or "inactive"</p>                                                    | String                                                           | Optional | "active"                                                                 |
| name                                                                                           | The name of the placement                                                                                                      | String                                                           | Optional | "int\_13"                                                                |
| coppa                                                                                          | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age?                               | Boolean                                                          | Optional | false                                                                    |
| <p>creativeTypes<br>(<strong>Interstitial only</strong>)</p>                                   | Allowed creative types for Interstitial placement                                                                              | String array                                                     | Optional | \[“video”, “display״]                                                    |
| <p>bannerRefresh<br>(<strong>Banner only</strong>)</p>                                         | Set the Refresh Interval for the app banner placement. This determines the frequency in which a banner placement is refreshed. | Number                                                           | Optional | 45                                                                       |
| floorPrices                                                                                    | The minimal price at which you are willing to sell your inventory. By default, it is set to $0.01 for all countries.           | Object array (country: string, price: number)                    | Optional | \[{ “country”: “WW”, “price”: 0.01 },{ “country”: “IL”, “price”: 0.05 }] |
| targetingEnabled                                                                               | Enable audience targeting by countries or connection type                                                                      | Boolean                                                          | Optional | true                                                                     |
| geo                                                                                            | Geo target countries \*only if targetingEnabled=true                                                                           | Object (include: boolean, countries: string array)               | Optional | { "countries": \[ "BT", "SG" ], "include": true }                        |
| connectivity                                                                                   | <p>Targeted connection type ("Cellular" or "WIFI")<br>\*only if targetingEnabled=true</p>                                      | String array                                                     | Optional | \[“WIFI”]                                                                |
| capping                                                                                        | <p>\*only if enabled=true<br><br>Limit the number of impressions per second / minute / day</p>                                 | Object (value: number, unit: string, enabled" boolean)           | Optional | { "value": 12, "unit": "minute", "enabled": true }                       |
| pacing                                                                                         | <p>\*only if enabled=true<br><br>Set the pace for the maximum number of ad impressions per second / minute / day / hour</p>    | Object (value: number, unit: string, enabled" boolean)           | Optional | { "value": 12, "unit": "minute", "enabled": true }                       |
| <p>ssrConfig<br>(<strong>Rewarded only</strong>)</p>                                           | \*only if enabled=true                                                                                                         | Object (currency: unit: string, amount, number enabled" boolean) | Optional | {"currency": "dollars", "amount": 3456, "enabled": true }                |
| <p>skipability</p><p>(<strong>Interstitial only</strong>)</p><p>\*Affects DT Exchange only</p> | Ads can be skippable or non-skippable                                                                                          | String                                                           | Optional | "NonSkippable"                                                           |

### Example Request <a href="#id-01fnx85y75n6x5jrgg9669t9z0" id="id-01fnx85y75n6x5jrgg9669t9z0"></a>

{% code title="JSON" %}

```json
{
    "placementId": "12345",
    "name": "updated_name",
    "status": "active",
    "coppa": true,
    "ssrConfig": {
    "currency": "dollars",
    "amount": 3456,
    "enabled": true
    },
    "targetingEnabled": true,
    "geo": {
    "countries": [
    "BT",
    "SG"
    ],
    "include": true
    },
    "connectivity": ["WIFI"],
    "floorPrices": [
    {
    "price": 0.05,
    "country": "AF"
    },
    {
    "price": 0.03,
    "country": "SG"
    }
    ],
    "capping": {
    "value": 12,
    "unit": "minute",
    "enabled": true
    },
    "pacing": {
    "value": 13,
    "unit": "second",
    "enabled": true
    }
    }
    
```

{% endcode %}

### Response Parameters <a href="#id-01fnx85y757f6n6asp81wwrpxe" id="id-01fnx85y757f6n6asp81wwrpxe"></a>

| Key                                                                                            | Description                                                                                                                    | Type                                                             | Example                                                                                     |
| ---------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------- | ------------------------------------------------------------------------------------------- |
| placementId                                                                                    | The ID of the newly created placement                                                                                          | String                                                           | "24542"                                                                                     |
| status                                                                                         | <p>The status of the placement.<br>Can be either "active" or "inactive"</p>                                                    | String                                                           | "active"                                                                                    |
| name                                                                                           | The name of the placement                                                                                                      | String                                                           | "int\_13"                                                                                   |
| appId                                                                                          | The ID of the placement's app                                                                                                  | String                                                           | "12345"                                                                                     |
| placementType                                                                                  | The placement type ("Banner", "Rewarded", "Interstitial", "MREC")                                                              | String                                                           | "Banner"                                                                                    |
| coppa                                                                                          | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age?                               | Boolean                                                          | false                                                                                       |
| <p>creativeTypes<br>(<strong>Interstitial only</strong>)</p>                                   | Allowed creative types for Interstitial placement                                                                              | String array                                                     | \[“video”, “display״]                                                                       |
| <p>bannerRefresh<br>(<strong>Banner only</strong>)</p>                                         | Set the Refresh Interval for the app banner placement. This determines the frequency in which a banner placement is refreshed. | Number                                                           | 45                                                                                          |
| floorPrices                                                                                    | The minimal price at which you are willing to sell your inventory. By default, it is set to $0.01 for all countries.           | Object array (country: string, price: number)                    | <p>\[{<br>“country”: “WW”, “price”: 0.01<br>},{<br>“country”: “IL”, “price”: 0.05<br>}]</p> |
| targetingEnabled                                                                               | Enable audience targeting by countries or connection type                                                                      | Boolean                                                          | true                                                                                        |
| geo                                                                                            | Geo target countries \*only if targetingEnabled=true                                                                           | Object (include: boolean, countries: string array)               | <p>{<br>"countries": \[<br>"BT", "SG" ], "include": true<br>}</p>                           |
| connectivity                                                                                   | <p>Targeted connection type ("Cellular" or "WIFI")<br>\*only if targetingEnabled=true</p>                                      | String array                                                     | \[“WIFI”]                                                                                   |
| capping                                                                                        | <p>\*only if enabled=true<br><br>Limit the number of impressions per second / minute / day</p>                                 | Object (value: number, unit: string, enabled" boolean)           | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>                          |
| pacing                                                                                         | <p>\*only if enabled=true<br><br>Set the pace for the maximum number of ad impressions per second / minute / day / hour</p>    | Object (value: number, unit: string, enabled" boolean)           | <p>{<br>"value": 12,<br>"unit": "minute", "enabled": true<br>}</p>                          |
| <p>ssrConfig<br>(<strong>Rewarded only</strong>)</p>                                           | \*only if enabled=true                                                                                                         | Object (currency: unit: string, amount, number enabled" boolean) | <p>{"currency": "dollars",<br>"amount": 3456, "enabled": true<br>}</p>                      |
| <p>skipability</p><p>(<strong>Interstitial only</strong>)</p><p>\*Affects DT Exchange only</p> | Ads can be skippable or non-skippable                                                                                          | String                                                           | "NonSkippable"                                                                              |

### Example Response <a href="#id-01fnx85y75n2rxs0vbff9w6v7t" id="id-01fnx85y75n2rxs0vbff9w6v7t"></a>

{% code title="JSON" %}

```json
{
        "placementId": "243713",
        "name": "changedBanner",
        "appId": "170709",
        "placementType": "Banner",
        "status": "active",
        "coppa": false,
        "bannerRefresh": 88,
        "floorPrices": [
            {
                "country": "WW",
                "price": 0.01
            }
        ],
        "targetingEnabled": false
    }
    
```

{% endcode %}

## Delete a Placement <a href="#id-01fnx85y7511dja6dcgnec2rjg" id="id-01fnx85y7511dja6dcgnec2rjg"></a>

**Description**

Delete an existing placement.

**Method**

`DELETE https://console.fyber.com/api/management/v1/placement`

### Request Parameters <a href="#id-01fnx85y75c8vr2pcemksvce04" id="id-01fnx85y75c8vr2pcemksvce04"></a>

| Key         | Description             | Required | Type   |
| ----------- | ----------------------- | -------- | ------ |
| placementId | The ID of the placement | Required | String |

### Example Request <a href="#id-01fnx85y7513rxn8588527ec8h" id="id-01fnx85y7513rxn8588527ec8h"></a>

{% code title="JSON" %}

```json
{
       "placementId": "123123"
    }
    Response Parameters
    
    Response example:
    {
       "message": "Placement 123123 has been deleted 
successfully."
    }
    
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digitalturbine.com/dt-fairbid/advanced-configurations/dt-fairbid-management-api/placement-level.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
